<a href="https://gatsbyjs.org">
	<p align="center">
		<img alt="Gatsby" src="https://www.gatsbyjs.org/monogram.svg" width="120" />
	</p>
</a>

<h1 align="center">
	Dracula code titles theme for Gatsby
</h1>

<a href="https://draculatheme.com">
	<p align="center">
		<img alt="Gatsby" src="https://draculatheme.com/assets/img/dracula.gif" width="350" />
	</p>
</a>

Dark code titles theme for [`gatsby-remark-prismjs`](https://www.gatsbyjs.org/packages/gatsby-remark-prismj) plugin.

### Installation

```bash
npm install gatsby-code-titles-dracula
```

```js
// `gatsby-browser.js`
import 'gatsby-code-titles-dracula';
```

## FAQ

* By default `gatsby-code-titles-dracula` uses [Sass](https://sass-lang.com/). To switch to CSS version of the plugin add:

```js
// gatsby-browser.js
import 'gatsby-code-titles-dracula/styles.css';
```

* To add custom class names refer to `gatsby-remark-code-titles` [documentation](https://github.com/DSchau/gatsby-remark-code-titles/).

## Related projects

* [gatsby-prismjs-dracula-theme](https://github.com/iamskok/gatsby-prismjs-dracula-theme)
* [gatsby-line-hightlights-dracula](https://github.com/iamskok/gatsby-line-hightlights-dracula)
* [gatsby-line-numbers-dracula](https://github.com/iamskok/gatsby-line-numbers-dracula)
* [gatsby-syntax-highlights-dracula](https://github.com/iamskok/gatsby-syntax-highlights-dracula)
* [gatsby-code-buttons-dracula](https://github.com/iamskok/gatsby-code-buttons-dracula)

---

[PRs are welcome](https://github.com/iamskok/gatsby-line-highlights-dracula/fork) :octocat:
